Name:           hexglass
Version:        1.2.1
Release:        9%{?dist}
Summary:        Block falling puzzle game based on a hexagonal grid 
Summary(de):    Puzzlespiel mit fallenden Blöcken auf einem sechseckigen Raster
Group:          Amusements/Games

License:        GPLv3+
URL:            http://code.google.com/p/hexglass
Source0:        http://hexglass.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop

# Let the application search for locale files in
# /usr/share/hexglass/translations/
Patch0:         %{name}-%{version}-locale-path.patch

BuildRequires:  desktop-file-utils
BuildRequires:  qt4-devel

%description
HexGlass is a Tetris-like puzzle game. Ten different types of blocks 
continuously fall from above and you must arrange them to make horizontal 
rows of hexagonal bricks. Completing any row causes those hexagonal blocks 
to disappear and the rest above move downwards. The blocks above gradually 
fall faster and the game is over when the screen fills up and blocks can 
no longer fall from the top. 

%description -l de
HexGlass ist ein Tetris-ähnliches Puzzlespiel. Zehn verschiedene Blocktypen
fallen fortwährend nach unten und müssen so angeordnet werden, dass horizontale
Zeilen aus sechseckigen Elementen gebildet werden. Nach Vervollständigen einer
Zeile verschwinden die Blöcke, wodurch die übrigen nach unten verschoben
werden. Mit steigendem Schwierigkeitsgrad fallen die Blöcke schneller. 
Das Spiel ist vorbei, sobald das Spielfeld vollständig gefüllt ist und keine 
Blöcke mehr fallen können.

%prep
%setup -q
%patch0 -p1


%build
qmake-qt4 hexglass.pro
make %{?_smp_mflags}


%install
install -D hexglass %{buildroot}%{_bindir}/hexglass
install -d %{buildroot}%{_datadir}/%{name}/translations
install -m 644 -p translations/*.qm %{buildroot}%{_datadir}/%{name}/translations
install -D -m 644 -p resources/about_icon.xpm %{buildroot}%{_datadir}/pixmaps/%{name}.xpm

%find_lang %{name} --with-qt

desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications \
  %{SOURCE1}


%files -f %{name}.lang
%doc CHANGES COPYING README
%{_bindir}/hexglass
%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/translations/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm



%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jul 29 2011 Martin Gieseking <martin.gieseking@uos.de> 1.2.1-3
- added German summary and description

* Fri Jul 29 2011 Martin Gieseking <martin.gieseking@uos.de> 1.2.1-2
- added Group
- changed GenericName in .desktop file to "Block falling game"

* Tue Jul 26 2011 Martin Gieseking <martin.gieseking@uos.de> 1.2.1-1
- initial package

